%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% METAMODEL HANDLING SOURCE
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

class_name(Name,Id):-class(Name,Id).


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

stereotype_name(Name,Id):-stereotype(Name,Id).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

property_name(Name,Id_Association,Id_Property):-
				property(Name,_,_,_,_,_,_,Id_Association,Id_Property).

property_type(Type,Id_Association,Id_Property):-
				property(_,Type,_,_,_,_,_,Id_Association,Id_Property).	

property_composite(Is_composite,Id_Association,Id_Property):-
				property(_,_,Is_composite,_,_,_,_,Id_Association,Id_Property).			

property_unique(Is_unique,Id_Association,Id_Property):-
				property(_,_,_,Is_unique,_,_,_,Id_Association,Id_Property).			

property_lower(Lower,Id_Association,Id_Property):-
				property(_,_,_,_,Lower,_,_,Id_Association,Id_Property).			

property_upper(Upper,Id_Association,Id_Property):-
				property(_,_,_,_,_,Upper,_,Id_Association,Id_Property).			

property_qualifier(Qualifier,Id_Association,Id_Property):-
				property(_,_,_,_,_,_,Qualifier,Id_Association,Id_Property).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%

association_name(Name,Id):-association(Name,Id).
