%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% METAMODEL HANDLING TARGET
% element2, att2 for target model
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

class2_name(Name,Id):-class2(Name,Id).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

property2_name(Name,Id_Association,Id_Property):-
				property2(Name,_,_,_,_,_,_,Id_Association,Id_Property).

property2_type(Type,Id_Association,Id_Property):-
				property2(_,Type,_,_,_,_,_,Id_Association,Id_Property).	

property2_composite(Is_composite,Id_Association,Id_Property):-
				property2(_,_,Is_composite,_,_,_,_,Id_Association,Id_Property).			

property2_unique(Is_unique,Id_Association,Id_Property):-
				property2(_,_,_,Is_unique,_,_,_,Id_Association,Id_Property).			

property2_lower(Lower,Id_Association,Id_Property):-
				property2(_,_,_,_,Lower,_,_,Id_Association,Id_Property).			

property2_upper(Upper,Id_Association,Id_Property):-
				property2(_,_,_,_,_,Upper,_,Id_Association,Id_Property).			

property2_qualifier(Qualifier,Id_Association,Id_Property):-
				property2(_,_,_,_,_,_,Qualifier,Id_Association,Id_Property).			


